@import "../../style/miam.scss";

.border-container {
  position: relative;
  overflow: hidden;
  border-radius: 6px;
  margin: 10px 0;
}

.time-picker-container {
  border-radius: 0px 0 0 6px;
  margin: 2px;
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  border-left: 2px solid var(--m-color-primary-light);
  border-bottom: 2px solid var(--m-color-primary-light);
  overflow: hidden;
  position: inherit;
  background-color:  #fff;
  z-index: 1;

  &.selected {
    border-left: 2px solid transparent;
    border-bottom: 2px solid transparent;
  }

  span {
    color: var(--m-color-primary);
  }

  input {
    width: 60px;
    border: none;
    padding: 0px 5px;
    text-align: end;
    border-radius: 6px;
    margin: 5px;
    height: 30px;
    outline: none;
    background-color: var(--m-color-primary-light);
    font-weight: 800;
    &:focus {
      border-color: none;
      box-shadow: none;
    }
  }

}

.border {
  height: 65px;
  width: 100%;
  background-color: var(--m-color-primary);
  position: absolute;
  z-index: 0;
  top: 100px;
  left: -100%;

  &.selected {
    top: 5px;
    left: -5px;
    transform: translate(100, 100%);
    transition: 0.5s linear;
  }
  &.error{
    top: 5px;
    left: -5px;
    transform: translate(100, 100%);
    transition: 0.5s linear;
    background-color: var(--m-color-danger);
  }
}

.label {
  margin-top: 30px;
  font-size: 16px;
  font-weight: 800;
  line-height: 1.2;
  letter-spacing: normal;
}

ng-miam-icon {
  margin: 10px 0;
}
